Feb 16th PHP 7.2 is now available for all accounts

You can enabled PHP 7.2 in your accounts via cPanel > PHP selector

Feb 16th All Servers : Security update / Reboot

We will be performing another security update which requires a server reboot. This is to resolve the ongoing patching required for the Spectre/Meltdown bug.

Thank you for your patience while we make our servers more secure.